<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_r"></a>- r -</h3><ul>
<li>RandomFloatingGenerator()
: <a class="el" href="classCatch_1_1Generators_1_1RandomFloatingGenerator.html#abce275ce88f7c3465addd7a98b6c408d">Catch::Generators::RandomFloatingGenerator&lt; Float &gt;</a>
</li>
<li>RandomIntegerGenerator()
: <a class="el" href="classCatch_1_1Generators_1_1RandomIntegerGenerator.html#a886d16c899ad70781b83a0e8f9d2cf96">Catch::Generators::RandomIntegerGenerator&lt; Integer &gt;</a>
</li>
<li>RangeGenerator()
: <a class="el" href="classCatch_1_1Generators_1_1RangeGenerator.html#ac999eb143945ff311b97d2c767df90d3">Catch::Generators::RangeGenerator&lt; T &gt;</a>
</li>
<li>read()
: <a class="el" href="classSettingsService.html#a0c952e5343c99b13c7cab66b13baf28a">SettingsService</a>
</li>
<li>readCoords()
: <a class="el" href="classTable.html#a2c1bad632b4cabfdc93d32e586308641">Table</a>
</li>
<li>readFromClient()
: <a class="el" href="classMoxitServer.html#a0e3a012b7cdb32afda6ca56e017e90be">MoxitServer</a>
</li>
<li>readJsonFile()
: <a class="el" href="classSettings.html#a8d3a20e1fac2c8405625634c77f7fa66">Settings</a>
, <a class="el" href="classTable.html#a75a57169006631763be43d6af6c3ad12">Table</a>
</li>
<li>RegexMatcher()
: <a class="el" href="structCatch_1_1Matchers_1_1StdString_1_1RegexMatcher.html#ab914deb885fe25558c41ab368c6b3916">Catch::Matchers::StdString::RegexMatcher</a>
</li>
<li>registerEnum()
: <a class="el" href="structCatch_1_1IMutableEnumValuesRegistry.html#a948e66e85f5b66ab68256d50bfe548f4">Catch::IMutableEnumValuesRegistry</a>
</li>
<li>registerListener()
: <a class="el" href="structCatch_1_1IMutableRegistryHub.html#abd892a133f85581fd00ee75bb379ca56">Catch::IMutableRegistryHub</a>
</li>
<li>registerReporter()
: <a class="el" href="structCatch_1_1IMutableRegistryHub.html#a1c0ac202ac31ee9f88e8ff5cbac4b243">Catch::IMutableRegistryHub</a>
</li>
<li>registerStartupException()
: <a class="el" href="structCatch_1_1IMutableRegistryHub.html#a72a7d5386851ac3200f8da794a009c86">Catch::IMutableRegistryHub</a>
</li>
<li>registerTagAlias()
: <a class="el" href="structCatch_1_1IMutableRegistryHub.html#abf2e386b6f94f615719ada711adbf822">Catch::IMutableRegistryHub</a>
</li>
<li>registerTest()
: <a class="el" href="structCatch_1_1IMutableRegistryHub.html#a11b85c6744d88c9f83fe16ad4a8dd451">Catch::IMutableRegistryHub</a>
</li>
<li>registerTranslator()
: <a class="el" href="structCatch_1_1IMutableRegistryHub.html#ae6825365102693cf7707db022a2c2b49">Catch::IMutableRegistryHub</a>
</li>
<li>RegistrarForTagAliases()
: <a class="el" href="structCatch_1_1RegistrarForTagAliases.html#ae4e45830e4763bcd65d55d8db9167b69">Catch::RegistrarForTagAliases</a>
</li>
<li>removeCardWidget()
: <a class="el" href="classTable.html#a2d303ada19507af8560638ffd763e925">Table</a>
</li>
<li>removePlayer()
: <a class="el" href="classGame.html#a5088218506361da372f8333034c79a2c">Game</a>
</li>
<li>render()
: <a class="el" href="classHostGame.html#a05a7c5668a4264ed621a72dd86ee1268">HostGame</a>
, <a class="el" href="classTable.html#a5fc1bb37c3d25588da78dc6df9792f59">Table</a>
</li>
<li>RepeatGenerator()
: <a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html#a3aee12c4f9c2c04823ca3c75a20f234f">Catch::Generators::RepeatGenerator&lt; T &gt;</a>
</li>
<li>Request()
: <a class="el" href="classRequest.html#adcb4de0b9159115b103f6f6403b9af39">Request</a>
</li>
<li>RequestHeader()
: <a class="el" href="classRequestHeader.html#aa755158b5725111b734f7c99136a2026">RequestHeader</a>
</li>
<li>reset()
: <a class="el" href="classCatch_1_1Option.html#a37b4e0e5d4d56296adacd267a616f4e0">Catch::Option&lt; T &gt;</a>
</li>
<li>Response()
: <a class="el" href="classResponse.html#a8201fb49ce101abdb4646c32a5b3c15e">Response</a>
</li>
<li>ReusableStringStream()
: <a class="el" href="classCatch_1_1ReusableStringStream.html#a9b3f8c52b0d2d63ffd825297a9c09781">Catch::ReusableStringStream</a>
</li>
<li>rngSeed()
: <a class="el" href="structCatch_1_1IConfig.html#ae049eb45979d841073fa65d1094c7f14">Catch::IConfig</a>
</li>
<li>runOrder()
: <a class="el" href="structCatch_1_1IConfig.html#a0fc59c9aba1d4018538d5526daa5eb78">Catch::IConfig</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
